Class | YARD::CodeObjects::ExtendedMethodObject
In: | lib/yard/code_objects/extended_method_object.rb
Parent: | Object

Represents an instance method of a module that was mixed into the class scope of another namespace.

@see MethodObject

### Methods

method_missing new scope

### Public Class methods

new(obj)

Sets up a delegate for {MethodObject} obj.

@param [MethodObject] obj the instance method to treat as a mixed in

      class method on another namespace.

### Public Instance methods

method_missing(sym, *args, &block)

Sends all methods to the {MethodObject} assigned in {initialize} @see initialize @see MethodObject

scope()

@return [Symbol] always +:class+

[Validate]